%define	upstream_name	 Data-Compare
%define upstream_version 1.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Compare perl data structures
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone) >= 0.430.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.480.0
BuildRequires: perl(File::Find::Rule) >= 0.100.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Compare two perl data structures recursively. Returns 0 if the structures
differ, else returns 1.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGELOG META.json META.yml MYMETA.yml NOTES README
%{perl_vendorlib}/Data
%{_mandir}/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.270.0-3.mga9
+ Revision: 1812038
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 1.270.0-2.mga8
+ Revision: 1537672
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Nov 06 2019 tv <tv> 1.270.0-1.mga8
+ Revision: 1458370
- update to 1.27

* Fri Sep 20 2019 tv <tv> 1.260.0-1.mga8
+ Revision: 1443993
- update to 1.26

* Wed Sep 19 2018 umeabot <umeabot> 1.250.0-4.mga7
+ Revision: 1266832
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.250.0-3.mga6
+ Revision: 1024792
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.250.0-2.mga6
+ Revision: 965908
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 1.250.0-1.mga6
+ Revision: 839206
- update to 1.25

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-3.mga5
+ Revision: 745785
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-2.mga5
+ Revision: 684189
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 1.240.0-1.mga5
+ Revision: 614684
- update to 1.24

* Mon Oct 21 2013 umeabot <umeabot> 1.230.0-2.mga4
+ Revision: 537800
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 1.230.0-1.mga4
+ Revision: 487768
- update to 1.23

* Sun Jan 13 2013 umeabot <umeabot> 1.220.0-3.mga3
+ Revision: 365262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.220.0-2.mga1
+ Revision: 36872
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.220.0-1.mga1
+ Revision: 33687
- mageia rebuild
- imported package perl-Data-Compare

